﻿
@{
    ViewBag.Title = "TodasDietas";
    Layout = null;
}

@model IEnumerable<HealthUp_.Models.Dieta>


@if (TempData["Msg"] != null)
{
    if (TempData["Msg"].ToString().IndexOf("sucesso") > 0)
    {
        <div id="Esconder" style="text-align:center; background-color: aquamarine"> @TempData["Msg"] </div>
    }
    else
    {
        <div id="Esconder" style="text-align:center; background-color: orangered"> @TempData["Msg"] </div>
    }
}

<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Todas As Dietas | HealthUp!</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Site de acompanhamento nutricional" />
    <meta name="keywords" content="nutrição, comida, dieta, nutricionista, paciente, médico, massa, corpo, gordura, biopedância" />
    <meta name="author" content="Tamires Antunes, Lucas Sanchez e Marina Melaré" />
    <!-- Facebook and Twitter integration -->
    <meta property="og:title" content="" />
    <meta property="og:image" content="" />
    <meta property="og:url" content="" />
    <meta property="og:site_name" content="" />
    <meta property="og:description" content="" />
    <meta name="twitter:title" content="" />
    <meta name="twitter:image" content="" />
    <meta name="twitter:url" content="" />
    <meta name="twitter:card" content="" />
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">

    <!-- Animate.css -->
    <link href="~/Content/animateNutri.css" rel="stylesheet" />
    <!-- Icomoon Icon Fonts-->
    <link href="~/Content/icomoonNutri.css" rel="stylesheet" />
    <!-- Bootstrap  -->
    <link href="~/Content/bootstrapNutri.css" rel="stylesheet" />
    <!-- Magnific Popup -->
    <link href="~/Content/magnific-popupNutri.css" rel="stylesheet" />
    <!-- Theme style  -->
    <link href="~/Content/styleNutri.css" rel="stylesheet" />
    <!-- Modernizr JS -->
    <script src="~/Scripts/Nutrimodernizr-2.6.2.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>
    <!-- FOR IE9 below -->
    <!--[if lt IE 9]>
    <script src="js/respond.min.js"></script>
    <![endif]-->
</head>
<body>

    <div class="fh5co-loader"></div>

    <div id="page">
        <nav class="fh5co-nav" role="navigation" style="box-shadow: 0px 5px 7px -7px rgba(180, 88, 88, 0.2)">
            <div class="container">
                <div class="row">
                    <div class="col-xs-2 text-left">
                        <div id="fh5co-logo"><a href="~/Nutri/Index" style="color: black">HealthUp<span>!</span></a></div>
                    </div>
                    <div class="col-xs-10 text-right menu-1">
                        <ul>
                            <li><a href="~/Nutri/Index" style="color: black">Início</a></li>
                            <!--Se precisar de dropdown-->
                            <!--<li class="has-dropdown">
                                <a href="services.html">Services</a>
                                <ul class="dropdown">
                                    <li><a href="#">Web Design</a></li>
                                    <li><a href="#">eCommerce</a></li>
                                    <li><a href="#">Branding</a></li>
                                    <li><a href="#">API</a></li>
                                </ul>
                            </li>-->
                            <li><a href="~/Nutri/TelaPaciente" style="color: #6DE08A">Pacientes</a></li>
                            <li><a href="~/Nutri/TabelasReferencias" style="color: black">Tabelas de Referências</a></li>
                            <li><a href="~/Nutri/AlimentosTela" style="color: black">Alimentos</a></li>
                            <li><a href="~/Login/Sair" style="color: black">Sair</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </nav>
        <div id="fh5co-project">
            <div class="container" style="width: 1402px">






                <div class="col-md-6 animate-box" style="width: 72%">

                    <div class="row form-group">

                        <div style="clear: both;"></div>


                        @if (Model != null)
                        {
                            foreach (var item in Model)
                            {
                                <div style="clear: both;"></div>
                                <br /><br />
                                <center><h1 style="color: black; padding-top: 42px;padding-left: 20px;"><strong>Dieta nº @item.NumDieta</strong></h1></center>
                                <div class="col-md-6" style="width: 110%; margin-bottom: 0px; float: left; box-shadow: 11px 15px 10px -7px rgba(92, 92, 92, 0.2);">
                                    <div class="col-md-6" style="width: 100%; margin-bottom: 0px; float: left">
                                        <br /><br />

                                        

                                        <h4 style="color: black"><strong>Nutricionista da Dieta:</strong> @item.EmailNutri</h4>
                                        <h4 style="color: black"><strong>Data da Dieta:</strong> @item.DataDieta.ToShortDateString()</h4>
                                        <br /><br />

                                        @*<h4 style="color: black; width: 289%;"><strong style="padding-left: 65px;"> Nome do Alimento </strong> <strong style="padding-left: 210px;"> Horário do Alimento </strong> <strong style="padding-left: 225px;"> Quantidade </strong></h4>*@
                                        <div class="listaDietaTitulo">
                                            <div class="ListaDietaItensTitulo">Nome do Alimento</div>
                                            <div class="ListaDietaItensTitulo">Horário do Alimento</div>
                                            <div class="ListaDietaItensTitulo">Quantidade</div>
                                        </div>

                                        @for (int i = 0; i < item.AlimentosDieta.Count; i++)
                                        {
                                            <div class="listaDietaTitulo">
                                                <div class="ListaDietaItens">@item.AlimentosDieta[i].NomeAlimento</div>
                                                <div class="ListaDietaItens">@item.AlimentosDieta[i].HorarioAlimento hrs</div>
                                                <div class="ListaDietaItens">@item.AlimentosDieta[i].QtdAlimento</div>
                                            </div>
                                            @*<h4 style="color: black; width: 289%;"><strong style="padding-left: 65px;"> @item.AlimentosDieta[i].NomeAlimento </strong> <strong style="padding-left: 262px;"> @item.AlimentosDieta[i].HorarioAlimento hrs </strong> <strong style="padding-left: 323px;"> @item.AlimentosDieta[i].QtdAlimento </strong></h4>*@
                                        }
                                         <br /><br />
                                         
                                        <form action="~/Nutri/Preview">
                                            <input hidden value="@item.NumDieta" name="numDieta" />
                                            <input hidden value="@item.EmailPaciente" name="emailPaciente" />
                                            <input hidden value="@item.EmailNutri" name="emailNutri" />
                                            <center><button type="submit" class="btn btn-lg btn-primary">Gerar Pdf</button></center>
                                        </form>
                                        <br />

                                    </div>
                                </div> 
                            }
                        }
                        else
                        {
                            <h4 style="color: red;padding-top: 201px;padding-left: 458px;font-size: 25px;"> <strong>Ainda não foi realizada nenhuma dieta </strong></h4>
                        }



                    </div>
                </div>

                <br /><br />

               

            </div>

        </div>
        <footer id="fh5co-footer" role="contentinfo" style="padding-bottom: 42px;">
            <div class="container">
                <div class="row copyright">
                    <div class="col-md-12 text-center">
                        <p>
                            <small class="block">&copy; 2018 HealthUp! Todos os direitos reservados.</small>
                        </p>
                    </div>
                </div>
            </div>
        </footer>
        <div class="gototop js-top">
            <a href="#" class="js-gotop"><center><img src="~/Imagens/setaCima.png" alt="" /></center></a>
        </div>

        <!-- jQuery -->
        <script src="~/Scripts/Nutrijquery.min.js"></script>
        <!-- jQuery Easing -->
        <script src="~/Scripts/Nutrijquery.easing.1.3.js"></script>
        <!-- Bootstrap -->
        <script src="~/Scripts/Nutribootstrap.min.js"></script>
        <!-- Waypoints -->
        <script src="~/Scripts/Nutri.js"></script>
        <!-- countTo -->
        <script src="~/Scripts/Nutrijquery.countTo.js"></script>
        <!-- Magnific Popup -->
        <script src="~/Scripts/Nutrijquery.magnific-popup.min.js"></script>
        <script src="~/Scripts/Nutrimagnific-popup-options.js"></script>
        <!-- Stellar -->
        <script src="~/Scripts/Nutrijquery.stellar.min.js"></script>
        <!-- Main -->
        <script src="~/Scripts/Nutrimain.js"></script>



</body>
</html>




